package com.ozs.service.mapper;

import com.ozs.service.entity.MsgAlarm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.service.entity.vo.AlarmStatisticVo;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 报警信息表 Mapper 接口
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Mapper
public interface MsgAlarmMapper extends BaseMapper<MsgAlarm> {
    //报警数据详情
    List<AlarmStatisticVo> list(@Param("railwayCode") String railwayCode, @Param("startMonth") Integer startMonth, @Param("endMonth") Integer endMonth, @Param("alarmType") String alarmType, @Param("userId") String userId);

    //报警月统计数据
    List<AlarmStatisticVo> listMonth(@Param("railwayCode") String railwayCode, @Param("startMonth") Integer startMonth, @Param("endMonth") Integer endMonth, @Param("alarmType") String alarmType, @Param("userId") String userId);
}
